package corso.example.sistemiembedded.activityparameter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import corso.example.sistemiembedded.activityparameter.R;

public class FiglioActivity extends Activity {
	public static int ID = 123;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.activity_figlio);
		
		//Recupero il testo ricevuto
		EditText edit = (EditText) this.findViewById(R.id.editRicevuto);
		Bundle bundle = getIntent().getExtras();
		edit.setText(bundle.getString(getPackageName()));

		//Invio la risposta
		this.findViewById(R.id.buttonRispondi).setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				//Edit contenente il testo da restituire
				EditText edit = (EditText) findViewById(R.id.editRisposta);

				Intent risposta = new Intent();
				risposta.putExtra(getPackageName(), edit.getText().toString());
				
				//Restituisco il codice identificativo dell'activity chiamata e la risposta
				setResult(ID, risposta);
				
				//Restituisco il controllo all'activity chiamante
				finish();
			}
		});
	}
}
